#*************************************************************************
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# 
# Copyright 2008 by Sun Microsystems, Inc.
#
# OpenOffice.org - a multi-platform office productivity suite
#
# $RCSfile: makefile.mk,v $
#
# $Revision: 1.4 $
#
# This file is part of OpenOffice.org.
#
# OpenOffice.org is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# only, as published by the Free Software Foundation.
#
# OpenOffice.org is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License version 3 for more details
# (a copy is included in the LICENSE file that accompanied this code).
#
# You should have received a copy of the GNU Lesser General Public License
# version 3 along with OpenOffice.org.  If not, see
# <http://www.openoffice.org/license.html>
# for a copy of the LGPLv3 License.
#
#*************************************************************************

PRJ=..
PRJPCH=

PRJNAME=oovbaapi
TARGET=oovbaapi_db


# --- Settings -----------------------------------------------------

.INCLUDE :  makefile.pmk

TARGET_HELPER=vbahelper
SHL1TARGET= $(TARGET_HELPER)$(DLLPOSTFIX)
SHL1IMPLIB= i$(TARGET_HELPER)

SHL1DEF=$(MISC)$/$(SHL1TARGET).def
DEF1NAME=$(SHL1TARGET)

LIB1FILES=$(SLB)$/$(TARGET_HELPER).lib

# dynamic libraries
SHL1STDLIBS=       \
		$(CPPULIB) \
		$(COMPHELPERLIB) \
		$(CPPUHELPERLIB) \
		$(TOOLSLIB) \
		$(SALLIB)\
		$(BASICLIB)	\
		$(SFXLIB)	\
		$(SVTOOLLIB)    \
		$(SVLLIB) \
        $(VCLLIB) \

SHL1LIBS=$(LIB1FILES)

.INCLUDE :  target.mk
